

STOCK TECHNICIAN


     Stock Technician is one of the most powerful and flexible investment
programs available for the Atari ST or any computer.  Some of the features have
been disabled in this demo version.  To receive a fully functional copy, plus
lots of other goodies, please follow the directions in the HOW TO REGISTER
section at the end of this manual.



DISCLAIMER


     Any time you invest money in stocks or commodities, you are agreeing to a
certain amount of risk.  The purpose of this program is to help you make
intelligent decisions about when to invest, and in what area.  We make no
claims that you will make money in every (or ANY) of your investments.  We
cannot be held responsible for any loss of capital which you incur by using
this program.  In other words, you pays your money, and you takes your
chances!



FEATURES


     Stock Technician is a powerful stock analysis environment for the serious
or casual investor.  It allows you to download daily or weekly histories on any
stock or commodity, or on the entire market, and automatically displays Bar
Charts, as well as Point Figure charts on the data received.  You may also
manually input data for daily or weekly maintenance, and of course all data may
be stored on floppy or hard disk for fast retrieval.

     The program automatically displays two moving average graphs, with a
variable period from 15-days to 120-weeks.

     Also featured is computer assisted generation of "channels," to help in
determining trends.

     "Snapshots" can be taken of the screen for instant recall at any time,
even while another stock is being analyzed!  Up to 20 of these snapshots may be
taken, depending on available memory, and they may be printed out on any
printer.

     There are several types of volume graphs available, all of which are
displayed on screen with the corresponding stock price.  These include a
standard volume graph, a cumulative volume index, a volume/price trend graph,
and a negative volume index.

     Stock Technician runs in low resolution, and may be driven completely with
the mouse or keyboard.



SYSTEM REQUIREMENTS


     Stock Technician will run on any Atari ST or Mega ST computer with a color
monitor (requires low resolution).  Depending on the response received, future
versions may run on monochrome monitors.

     The program may be run from a Hard Drive, but the original disk must be
inserted into floppy drive A before starting the program.


GETTING STARTED


     It is recommended that you make a print out of this manual and follow
along with the actual program while reading.

     After initially booting Stock Technician, the first thing you see will be
the title page.  This may be exited by pressing any key or mouse button.  Your
initial choice of mouse or keyboard will determine whether you start off in
"mouse" or "keyboard" mode, although you may re-select the mode at any time by
simply pressing any key or holding both mouse buttons down.  For the first part
of this tour, we will be in keyboard mode.

     If you haven't set your system date, the first thing you will see after
the title page is a prompt requesting you do so.  Otherwise, what you should
see is a dark graph with the words "Stock Technician" in the upper left corner.
Once we have loaded or created a file, this will be replaced with the company
name.  (If you do not see this screen, you are not in keyboard mode and can get
there by pressing any key on the keyboard.  We will explore mouse mode later).

     In the upper right hand corner is your computer system's current date.
Once we have loaded or created a file, this will be replaced with the date of
the last data entry for that file.  It is very important that this date be kept
accurate, so if you do not have a permanent clock installed in your computer,
be sure to take advantage of the date setter at the beginning of the program.

     The screen is divided into an upper grey and a lower blue graph.  The
upper one is for stock price data and the lower is for volume data.  The stock
graph will automatically center itself around the 60-day average (rounded to
the nearest dollar), while the volume graph automatically scales itself so the
highest volume just reaches the top of the blue area.  What this means is that
the stock graph may overlap into the volume graph, but the standard volume
graph will NEVER extend into the stock graph.



THE MENU


     Now press HELP.  This lists most of the key commands available to us.
Let's take a brief look at our options before exploring further.

     SAVE FILE and LOAD FILE do just what they sound like: they save to and
load files from your floppy disk or hard drive.  This function has been
disabled on the Demo Version.

     EDIT FILE displays all data (dates, volumes, highs, lows, and closing
prices) in list form.  From here you may change any values on the list, as well
as manually adding new data for daily or weekly maintenance.

     RENAME FILE allows you to change the name of any file on your disk.  This
function's main purpose is for stocks you no longer wish to track, but don't
want to erase either.  Since only stocks ending with the extension ".STK" are
shown when you LOAD a file, changing this extension to anything else will
prevent that stock from appearing in the item selector.

     CREATE FILE allows you to input the price history of any new stocks you
wish to track.  120 daily or weekly entries may be made (one entry consists of
a date, volume, high, low, and close).  New data is automatically added to the
most recent slot, with the oldest data dropping off into oblivion.  Input may
be done manually, or preferably from a bulk dump over your modem.  More on this
later.  This function has been disabled for the Demo version.

     PRINT allows you to print out any graphs generated on the screen.  This
option is only available in Quickdraw mode, and cannot be selected with the
mouse.

     VOLUME SELECT allows you to choose which type of volume graph is displayed
(have patience...more on this later, too!).

     QUICKDRAW allows you to rapidly switch between graphs of many different
stocks, or many different graphs of the same stock.  A "snapshot" must first be
taken of each graph.

     The SPACEBAR toggles between a bar chart display an a Point Figure chart
display.

     TAB changes the time period over which the moving averages are
calculated.

     The number keys 1, 2, 3, and 4 change the scaling of the price graphs,
essentially allowing you to zoom in or out. This is handy if some of the data
runs off the screen, or in Point Figure charts when too much data is shown.

     Control C quits Stock Technician and returns you to the desktop.



LOAD


     Press L to load a file.  Only files ending with .STK will be shown in the
item selector.  The SAVE function, explained later, automatically adds this
extensor to the filename.

     Some sample files are included with this demo. Be sure to check them all
out.  For now, double click on the one titled GENZYME.STK to load it.



THE DISPLAY


     After a few seconds of chugging away, the program will automatically
generate a bar chart showing the stock's performance in the 120 days leading up
to January 22, 1990.  Also generated are yellow 60 and blue 120 day moving
averages, as well as a standard volume graph.

     Each day's price performance is indicated by a vertical red bar running
from the low of the day to the high, with a white spot indicating the day's
closing price.  This chart is automatically centered around the most recent
day's 60-day average (rounded to the nearest dollar).



SELECTING MOVING AVERAGES


     Pressing the TAB key cycles through the available moving averages. These
are 120/60, 90/45, 60/30, and 30/15 day averages. Obvious note: if the data in
this file were WEEKLY instead of daily, as it is in GENZYMEW.STK, these moving
averages would be 120/60, 90/45, 60/30, and 30/15 WEEK averages.



TOGGLING BETWEEN POINT FIGURE AND BAR CHARTS


     Now press the SPACE BAR.  The program now automatically generates a Point
Figure chart, with the up days in green and the down days in red.  The volume
graph also uses these colors to follow the up and down trends.

     On the Point Figure chart, only the most recent day's moving averages are
shown since moving averages have no real relevance to the Point Figure chart.

     Notice that some of the data has run off the top of the screen.  To warn
you that there is indeed some data you are not seeing, a triple dash appears in
the middle of the screen, directly below the missing data.  This will only
appear on the Point Figure charts.  To see this missing data, you need to zoom
out on the chart (see next section).

     By the way, for those of you who may never have charted stocks by hand,
you have just completed several months worth of extremely tedious work with the
press of a couple of buttons!



ZOOMING IN ON THE STOCK PRICES


     You may re-scale the price chart at any time by pressing one of the number
keys 1, 2, 3, or 4.  This is good for revealing price data that may have run
off of the screen, or for actually eliminating some of the excessive data from
a Point Figure chart.



                               DRAWING CHANNELS


     Stock prices rarely if ever move in nice, predictable straight lines.
Instead, they tend to move in nice predictable zigzag lines, forming what looks
like a row of mountain tops, each one higher (or lower) than the previous.  On
a typical stock chart, you can usually draw a straight line that will intersect
each of the peaks and, amasingly enough, you will usually find that a parallel
line could be drawn from the lowest point of each of the valleys.  This is
known as a "channel," and any major break out of this channel usually signals a
trend reversal, especially on high volume.  Stock Technician makes drawing
these channels a breeze.

     Using the mouse, with the Genzyme Bar chart showing, point the curser at
one of the peaks on the far left and click the left mouse button (don't hold it
down).  Now point to the peak on the far right and click the left mouse button
again.  You should now have a line intersecting the two peaks.  Now point the
curser at any one of the "valleys" and click the RIGHT  mouse button.  Viola!
Instant channel!

     Try pointing the curser at a spot midway between the two lines and
clicking the RIGHT mouse button again.  Now you have created a "resistance
line."

     The use of channels and resistance lines is explained in full in the
applications manual.  If you do not have this manual, please refer to the
section titled HOW TO REGISTER.



QUICKDRAW MODE


     Pressing any of the FUNCTION KEYS will take a snapshot of the current
screen for later viewing or printing.  Try using the TAB KEY and FUNCTION KEYS
F1,F2,F3, and F4 to take a snapshot of each of the available moving average
charts.

     Now press Q to enter Quickdraw mode.  From Quickdraw mode you may recall
any of your snapshots be simply re-pressing the Function key you used to store
it.

     Pressing Q again quits Quickdraw mode.



EDITING A FILE


     Pressing E will put you in the EDIT mode.  From here you can alter any of
the existing data as well as adding new data on a daily or weekly basis.

     Once in EDIT mode, pressing A will put you into the EDIT/ADD mode.  From
here you will receive prompts to add new data.  You may add as many as you like
before quitting.  To quit, type in a zero and hit return at any prompt.  This
will put you back in EDIT mode.

     Pressing E while in EDIT mode will allow you to edit any previously
existing data.  The prompts are very similar to the EDIT/ADD mode.  Stock
Technician tells which data you are editing by matching the date you enter with
the date of the data already there, so be accurate!

     Pressing escape or any mouse button will exit EDIT mode.



CREATING A FILE


*Note: This function has been disabled in the demo version.

     Pressing C will allow you to create a new file, either by manually
inputing the new data, or by bulk loading over your modem (the latter is
preferable).  This is an extremely fast way to enter long term stock
histories.

     For more details on bulk loading data, see the applications manual
(REGISTER!).



SAVING A FILE


*NOTE:  This function has been disabled in the Demo version.

     After editing or creating a file, you may save it by pressing S and
entering the file name in the item selector.  Programs will always be given the
extension ".STK" so they will appear in the LOAD item selector.



RENAMING FILES


     Typing R allows you to change the name of any file on your data disk.  The
main purpose here is to remove or change the ".STK" extension to "hide" any
files you no longer wish to track, but may not want to erase.



SELECTING THE TYPE OF VOLUME GRAPH


     Pressing V allows you to select the manner in which the volume data will
be displayed.  The current choices are as follows:


         1)  Standard Volume Graph.  This graph is always scaled so the highest
volume recorded (plus or minus 100 points) will just reach the top of the blue
graph.  The graph itself will be blue if you have toggled to a bar chart, or
red and green to correspond with the colors of the Point Figure chart.  THIS IS
THE ONLY GRAPH YOU WILL SEE WITH A POINT FIGURE CHART!

         2)  Cumulative Volume Graph.  This graph is derived by keeping a
running total of the volume, adding it on days when the price rises and
subtracting it on days when the price falls.

         3)  Volume/Price Trend.  This graph is also a running total, but is
based on the percentage of price change.  For example, if a $10.00 stock rises
to $12 on a volume of 100,000 shares (a 20% increase in price), we add 20,000
to our running total (100,000 * 20%).  If during the next period the same stock
falls from $12.00 to $9.00 on a volume of 50,000 shares (a 25% drop in price),
we subtract 12,500 from our running total (50,000 * 25%).

         3)  Negative Volume Index.  This graph is derived by adding the PRICE
of the stock when it goes up, and subtracting the price of the stock when it
goes down, but only on days when the volume is LESS than the day before.

     When combined with the two types of price charts, these volume graphs form
an extremely powerful tool for predicting the direction of any individual
stock, or of the entire stock market. Complete details on the use of these
graphs is given in the applications manual (thank you for registering!).



ADJUSTING THE VOLUME GRAPHS


     You have probably noticed that there is no scale on the left when graphs
2, 3, or 4 are selected.  These graphs may also run completely off of the
screen.

     Simply put, the units are not as important as the patterns shown, and
because of this, it doesn't matter where the graph is positioned on the screen.


     To see the entire graph, you may use the up and down arrow keys to move
the volume graph 50 pixels at a time (about two inches).  You may also use the
left and right arrow keys to zoom in and out on the volume graph  (don't get
carried away!).



USING THE MOUSE


     Pressing both mouse buttons will enable the mouse (you may have to do this
twice if you were in the process of drawing a channel!).  You will immediately
be taken to the help screen, which now serves as your menu.  To select any
function, simply point the arrow and press a mouse button.  Some functions are
different in Mouse mode, and these are explained below:


         *  Selecting SPACE BAR will display the currently loaded data, but
WILL NOT toggle from Bar to Point Figure graphs.  Instead, a small button
labeled "T" will appear in the bottom right hand corner of the display screen.
Using this button to toggle between displays minimizes the need to return to
the menu.

         *  Also appearing above the "T" button is button labeled "A."  This
button cycles you through the moving average scales, just like pressing TAB in
keyboard mode.  This has the same advantage as the "T" button

         *  If you have selected volume graphs 2, 3, or 4, a small 4-way button
will appear in the lower left hand corner of the display screen.  This button
simulates the four arrow keys.

         *  Selecting SPACE BAR or the "T" button with the RIGHT MOUSE BUTTON
allows you to use the mouse to control the rate which the graph is drawn.  Try
making a selection with the right mouse button, then slowly moving the mouse
back and forth.  Neat, Huh?  This is very handy to practice locating buy and
sell signals from previous stock histories.  While in this mode, you may fast
forward to any point by holding down either mouse button.  This feature is only
available in mouse mode.


HOW TO REGISTER


     To receive a fully functional free copy of Stock Technician, as well as
free software updates, free technical support, a free applications manual, and
some free recreational software, please send $35.00 to:


TUMBLECRAFT SOFTWARE
409 CORNELL
BURBANK, CA 91504

     Also, be sure to check out the Stock Technician topic in the Atari ST
section on Genie if you have any questions, suggestions, or find any BUGS!



                        Anthony F. Ciarochi
                        13 Aug 1990
